## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global __cargo_skip_build 0

%global crate rd-hashd

%if 0%{?el8}
# el8 doesn't have these macros
%global __crates_url https://crates.io/api/v1/crates/
%global crates_source %{__crates_url}%{crate}/%{version}/download#/%{crate}-%{version}.crate
%global version_no_tilde %{version}
%endif

Name:           rust-%{crate}
Version:        2.1.2
Release:        %autorelease
Summary:        Latency-sensitive pseudo workload for resctl-demo

# Upstream license specification: Apache-2.0
License:        ASL 2.0 and BSD and MIT
URL:            https://crates.io/crates/rd-hashd
Source:         %{crates_source}
# Vendored dependencies for EPEL, update with ./update-vendor-tarball.sh
Source1:        %{crate}-%{version}-vendor.tar.gz
# hashd: build fix for 32bit archs
Patch0:         https://github.com/facebookexperimental/resctl-demo/commit/dbe5735bdf005a24e54dd19559016a59f6f43536.patch

ExclusiveArch:  %{rust_arches}

%if 0%{?el8}
BuildRequires:  rust-toolset
%else
BuildRequires:  rust-packaging
%endif

%global _description %{expand:
Latency-sensitive pseudo workload for resctl-demo.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/rd-hashd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p2
%if 0%{?el8}
%cargo_prep -V 1
%else
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Oct 22 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.1.2-2
- Build for epel8

* Thu Oct 21 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.1.2-1
- Initial import; Fixes: RHBZ#1990927
